Composer: items cannot be longer moved/resized/selected/unselected....(MacOS version)
Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.10.0 Regression?: No

Operating System: MacOSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21322

Description

After working on an item for a while IT MAY OCCUR (actually, it happens on at least 80% of the times I work with Composer) that the item

"freezes". It is not longer possible to move it, unselect it. Additionally, it is not possible to select other items or move them, either. In the

case of a map, it is also not possible to move the item content

The only way to partially "bypass" this problem is to select items on the "Items" panel and adjust size and position by modifying the values

on "Position and size" in "Item properties" panel.

Anyway, it seems that there are no possibilities to get "Move item content" working.

The frustrating factor is that I am not really able to reproduce the problem on a regular basis. I simply know that when I use the Composer

it will occur most of times, but I cannot guess WHEN it will happen.

I found the same problem since at least version 2.8 of QGIS.

History

#1 - 2015-10-14 06:33 PM - Larry Shaffer

Hi,

Can you try with the current nightly with a duplicate of your project?

#2 - 2015-10-14 06:41 PM - Larry Shaffer

- Status changed from Open to Feedback

#3 - 2015-12-19 10:38 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
